--[[============================================================================
main.lua
============================================================================]]--

-- Read from the manifest.xml file.
class "RenoiseScriptingTool" (renoise.Document.DocumentNode)
  function RenoiseScriptingTool:__init()    
    renoise.Document.DocumentNode.__init(self) 
    self:add_property("Name", "Untitled Tool")
    self:add_property("Id", "Unknown Id")
  end

local manifest = RenoiseScriptingTool()
local ok,err = manifest:load_from("manifest.xml")
local tool_name = manifest:property("Name").value
local tool_id = manifest:property("Id").value


--------------------------------------------------------------------------------
-- MIDI Mappings
--------------------------------------------------------------------------------

renoise.tool():add_midi_mapping {
  name = tool_id..":Minimize",
  invoke = function() renoise.app().window:minimize() end
}

renoise.tool():add_midi_mapping {
  name = tool_id..":Maximize",
  invoke = function() renoise.app().window:maximize() end
}

renoise.tool():add_midi_mapping {
  name = tool_id..":Restore",
  invoke = function() renoise.app().window:restore() end
}
